=== pkg/debian/changelog ===
tarsnap (1.0.23) unstable; urgency=low

  * New version of tarsnap adds new features, improves resilience in the
    presence of transient network errors, and fixes minor bugs.

 -- Colin Percival <cperciva@tarsnap.com>  Wed, 10 Jun 2009 12:21:56 +0000

tarsnap (1.0.22) unstable; urgency=low

  * New version of tarsnap adds support for passphrase-protected key files
    using the scrypt key derivation function.

 -- Colin Percival <cperciva@tarsnap.com>  Tue, 3 Jun 2009 23:21:44 +0000

tarsnap (1.0.21) unstable; urgency=critical (low for users of tarsnap 1.0.19 or earlier)

  * New version of tarsnap fixes serious bug in the chunk cache when a
    checkpoint is created in the middle of a file.

 -- Colin Percival <cperciva@tarsnap.com>  Thu, 5 Mar 2009 01:12:50 +0000

tarsnap (1.0.20) unstable; urgency=low

  * Fixed typo in sed code for changing default cachedir.
  * Removed unnecessary dependency on autotools-dev.
  * Added dependency on libbz2-dev (not required, but tarsnap will take
    advantage of libbz2 if it is present).
  * Removed unnecessary CONFIGDIR= from ./configure invocation (the
    autoconf logic handles this already).

 -- Colin Percival <cperciva@tarsnap.com>  Sat, 31 Jan 2009 22:54:01 +0000

tarsnap (1.0.19-1) unstable; urgency=low

  * Fixed default config file location and cachedir.

 -- Mads Sulau Joergensen <mads@sulau.dk>  Sun, 18 Jan 2009 19:48:41 +0100

tarsnap (1.0.19) unstable; urgency=low

  * Initial Release.

 -- Mads Sulau Joergensen <mads@sulau.dk>  Sun, 18 Jan 2009 14:25:54 +0100
