=== pkg/debian/watch ===
version=3
https://beta.tarsnap.com/download.html tarsnap-autoconf-(.*)\.tgz
